'use strict';

var bundlesApp = angular.module("bundlesApp", [
	"commonApp"
]);

bundlesApp.controller("BundlesCtrl", 
	["$scope", "$http", 
	function($scope, $http) {
		
	$scope.loading = true;
	$scope.error = null;
	$scope.bundles = [];
	
	$http.get("../../internal/bundle")
		.then(function(res) {
			$scope.loading = false;
			$scope.bundles = res.data.bundles;               
		}, function(error) {
			$scope.loading = false;
			$scope.error = error.data;
		});
}]);
