'use strict'

var metamodelsApp = angular.module("metamodelsApp", [
	"commonApp"
]);

metamodelsApp.controller("MetamodelsCtrl", 
	["$scope", "$http", 
	function($scope, $http) {
		
	$scope.loading = true;
	$scope.error = null;
	$scope.metamodels = [];
	
	$http.get("../../metamodel")
		.then(function(res) {
			$scope.loading = false;
			$scope.metamodels = res.data.metamodels;                
		}, function(error) {
			$scope.loading = false;
			$scope.error = error.data;
		});
}]);
