'use strict';

var structuresApp = angular.module("structuresApp", [
	"commonApp"
]);

structuresApp.controller("StructuresCtrl", 
	["$scope", "$http", 
	function($scope, $http) {
		
	$scope.loading = true;
	$scope.error = null;
	$scope.structures = [];
	
	$http.get("../../internal/extensionPoint/com.sodius.mdw.server.structureProvider")
		.then(function(res) {
			$scope.loading = false;
			$scope.structures = res.data.extensions; 
		}, function(error) {
			$scope.loading = false;
			$scope.error = error.data;
		});
}]);
