pragma runLim, 0 
pragma encoding, "UTF-8"

const int DEPTH_INFINITE = -1;
const int DEPTH_LOCAL_INFINITE = -2;
const int DEPTH_ZERO = 0;

const int SCOPE_MODE_ONDEMAND = 0;
const int SCOPE_MODE_COMPLETE = 2;
const int SCOPE_MODE_EXCLUDE = 1;

bool isDoorsClientCompliantWith(char majorVersion, char minorVersion) {
	char actualMajorVersion = '0';
	char actualMinorVersion = '0';
	string sVersion = doorsInfo(infoVersion) 
	if (length(sVersion) > 2) {
	    actualMajorVersion = sVersion[0];
	    actualMinorVersion = sVersion[2];
	}
	else {
		// weird, can't tell the version number
		return false;
	}
	
	if (actualMajorVersion < majorVersion) {
		return false;
	}
	else if (actualMajorVersion == majorVersion) {
		return actualMinorVersion >= minorVersion;
	}
	else {
		return true;
	}
}
