
void deleteOutgoingLinks(Module self) {
    if (null self || null first(self))
        return;
        
    Link link;
    Object o;
    for o in entire(self) do {
        for link in o->"*" do {
            if (canDelete(link)) {
                delete(link);
            }
        }
    }
}
    
void deleteIncomingLinks(Module self) {
    if (null self || null first(self))
        return;
        
    // load "incoming" modules
    ModName_ srcModRef 
    Object o;
    for o in self do {
        for srcModRef in o<-"*" do {
            editModule(fullName(srcModRef))
        }
    } 
    
    Link link;
    for o in entire(self) do {
        for link in o <- "*" do {
            if (canDelete(link)) {
                delete(link);
            }
        }
    } 
}

void deleteLinksSets(Module self) {
    if (null self)
        return;
        
    Object o;
    for o in self do {
        if (canDelete(o)) {
            delete(o);
        }
    }
}

void deleteAllLinks(string fullName) {
    
    // edit
    Module m = editModule(fullName);
    if (! null m) {
        
        // formal module?
        if (type(m) == "Formal") {
            deleteOutgoingLinks(m);
            deleteIncomingLinks(m);
        }
        
        // link module
        else {
            deleteLinksSets(m);
        }
        
        refresh(m);
    }
}

