'use strict';

var servicesApp = angular.module("servicesApp", [
	"commonApp"
]);

servicesApp.controller("ServicesCtrl", 
	["$scope", "$http", 
	function($scope, $http) {
		
	$scope.loading = true;
	$scope.error = null;
	$scope.services = [];
	
	$http.get("../../service")
		.then(function(res) {
			$scope.loading = false;
			$scope.services = res.data.services;                
		}, function(error) {
			$scope.loading = false;
			$scope.error = error.data;
		});
}]);
