Buffer buffer = create()

void closeFile() {
    if (length buffer != 0) {
        Stream file = write(outputFilename, DOORS_CODEPAGE)
        file << stringOf buffer
        close(file)
    }
    delete buffer
}

void writeModule(Module self) {
    if (null self)
        return;
        
    buffer += getIDModule(self) "\n"
}
    
void writeOutLinkModules(Object self) {
    if (null self)
        return;
        
    Link l;
    for l in all self -> "*" do {
        writeModule(module(l));
    }
}

void writeInLinkModules(Object self) {
    if (null self)
        return;
      
    LinkRef linkRef ;  
    for linkRef in all (self <- "*") do {
        writeModule(module(linkRef));
    }
}

void writeLinks(Module self) {
    if (null self)
        return;
        
    Object o
    
    buffer += "incoming\n"
    for o in all(self) do {
        writeInLinkModules(o);
    }
    
    buffer += "outgoing\n"
    for o in all(self) do {
        writeOutLinkModules(o);
    }
    
    closeFile();
}

