Module createModule(string fullName, string description) {
    Module m = editModule(fullName);
    if (null m) {
        m = read(fullName, false);
        if (null m) {
            m = create(fullName, description, manyToMany, false /* no display */);
        }
        if (!null m) {
            close(m);
            m = editModule(fullName);
        }
    }
    return m;
}

Linkset createLinkSet(Module m, Module sourceModule,  Module targetModule) {
    if (! null sourceModule && ! null targetModule) {
        return create(m, fullName(sourceModule), fullName(targetModule));
    }
    else {
        return null;
    }
}

Link createLink(Module linkModule, int sourceAbsno, Module sourceModule, int targetAbsno, Module targetModule) {
    Object o1 = object(sourceAbsno, sourceModule)
    Object o2 = object(targetAbsno, targetModule)
    if ((!null o1) && (!null o2) && canModify(o1)) {
        string name = fullName(linkModule);
        Link l = o1 -> name -> o2;
        return l;
    }
    else {
        return null;
    }
}

