package com.sodius.mdw.samples.cpp;

import com.sodius.mdw.core.util.StringUtils;
import com.sodius.mdw.metamodel.uml21.scripts.NamedElementScriptContainer;

public class uml21_NamedElement extends NamedElementScriptContainer {

	/**
	 * Capitalizes the element's name, changing the first letter to title case. 
	 */
	public Object capitalizedName() {
		return StringUtils.capitalize(self.getName());
	}

	/**
	 * Uncapitalizes the specified value, changing the first letter to lower case. 
	 */
	public Object uncapitalize(String value) {
		if (value.length() == 0)
			return "";
		else if (value.length() == 1)
			return value.toLowerCase();
		else
			return Character.toLowerCase(value.charAt(0)) + value.substring(1);
	}
}
